org.apache.ode.bpel.evt

## Class ActivityEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent
    - - org.apache.ode.bpel.evt.ProcessInstanceEvent
      - - org.apache.ode.bpel.evt.ScopeEvent
        - - org.apache.ode.bpel.evt.ActivityEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ActivityEnabledEvent, ActivityExecEndEvent, ActivityExecStartEvent, ActivityFailureEvent, ActivityRecoveryEvent

      public abstract class ActivityEvent
      extends ScopeEvent

  Base class for all activity events. Note that each activity occurs in some scope, hence this class extends `ScopeEvent`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityDeclarationId()`
    `long` | `getActivityId()`
    `java.lang.String` | `getActivityName()` Gets activity name
    `java.lang.String` | `getActivityType()` Activity type e.g.
    `BpelEvent.TYPE` | `getType()`
    `void` | `setActivityDeclarationId(int declarationId)`
    `void` | `setActivityId(long id)`
    `void` | `setActivityName(java.lang.String activityName)`
    `void` | `setActivityType(java.lang.String activityType)`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent

      `getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent

      `getProcessInstanceId, setProcessInstanceId`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent

      `getProcessId, getProcessName, setProcessId, setProcessName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityEvent

          public ActivityEvent()

  - ### Method Detail

    - #### getActivityName

          public java.lang.String getActivityName()

      Gets activity name
      Returns:
        name of activity

    - #### getActivityType

          public java.lang.String getActivityType()

      Activity type e.g. switch, terminate, invoke
      Returns:
        type of activity

    - #### setActivityName

          public void setActivityName(java.lang.String activityName)

    - #### setActivityType

          public void setActivityType(java.lang.String activityType)

    - #### setActivityDeclarationId

          public void setActivityDeclarationId(int declarationId)

    - #### getActivityDeclarationId

          public int getActivityDeclarationId()

    - #### setActivityId

          public void setActivityId(long id)

    - #### getActivityId

          public long getActivityId()

    - #### getType

          public BpelEvent.TYPE getType()

      Overrides:
        `getType` in class `ScopeEvent`